# Uses of Class
com.databricks.jdbc.model.core.ExternalLink

Packages that use ExternalLink
Package
Description
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.common.util
com.databricks.jdbc.dbclient
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift
com.databricks.jdbc.model.core

## Uses of ExternalLink in com.databricks.jdbc.api.impl.arrow

Fields in com.databricks.jdbc.api.impl.arrow declared as ExternalLink
Modifier and Type
Field
Description
`protected ExternalLink`
AbstractArrowResultChunk.`chunkLink`
Methods in com.databricks.jdbc.api.impl.arrow that return types with arguments of type ExternalLink
Modifier and Type
Method
Description
`CompletableFuture<ExternalLink>`
ChunkLinkDownloadService.`getLinkForChunk(long chunkIndex)`
Retrieves the external link for a specified chunk index.
Methods in com.databricks.jdbc.api.impl.arrow with parameters of type ExternalLink
Modifier and Type
Method
Description
`void`
AbstractArrowResultChunk.`setChunkLink(ExternalLink chunk)`
Sets the external link details for this chunk.
Constructors in com.databricks.jdbc.api.impl.arrow with parameters of type ExternalLink
Modifier
Constructor
Description
`protected`
`AbstractArrowResultChunk(long numRows, long rowOffset, long chunkIndex, StatementId statementId, ChunkStatus initialStatus, ExternalLink chunkLink, Instant expiryTime, int chunkReadyTimeoutSeconds)`

## Uses of ExternalLink in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that return ExternalLink
Modifier and Type
Method
Description
`static ExternalLink`
DatabricksThriftUtil.`createExternalLink(TSparkArrowResultLink chunkInfo, long chunkIndex)`

## Uses of ExternalLink in com.databricks.jdbc.dbclient

Methods in com.databricks.jdbc.dbclient that return types with arguments of type ExternalLink
Modifier and Type
Method
Description
`Collection<ExternalLink>`
IDatabricksClient.`getResultChunks(StatementId statementId, long chunkIndex)`
Fetches the chunk details for given chunk index and statement-Id.

## Uses of ExternalLink in com.databricks.jdbc.dbclient.impl.sqlexec

Methods in com.databricks.jdbc.dbclient.impl.sqlexec that return types with arguments of type ExternalLink
Modifier and Type
Method
Description
`Collection<ExternalLink>`
DatabricksSdkClient.`getResultChunks(StatementId typedStatementId, long chunkIndex)`

## Uses of ExternalLink in com.databricks.jdbc.dbclient.impl.thrift

Methods in com.databricks.jdbc.dbclient.impl.thrift that return types with arguments of type ExternalLink
Modifier and Type
Method
Description
`Collection<ExternalLink>`
DatabricksThriftServiceClient.`getResultChunks(StatementId statementId, long chunkIndex)`

## Uses of ExternalLink in com.databricks.jdbc.model.core

Methods in com.databricks.jdbc.model.core that return ExternalLink
Modifier and Type
Method
Description
`ExternalLink`
ExternalLink.`setByteCount(Long byteCount)`
`ExternalLink`
ExternalLink.`setChunkIndex(Long chunkIndex)`
`ExternalLink`
ExternalLink.`setExpiration(String expiration)`
`ExternalLink`
ExternalLink.`setExternalLink(String externalLink)`
`ExternalLink`
ExternalLink.`setHttpHeaders(Map<String,String> httpHeaders)`
`ExternalLink`
ExternalLink.`setNextChunkIndex(Long nextChunkIndex)`
`ExternalLink`
ExternalLink.`setNextChunkInternalLink(String nextChunkInternalLink)`
`ExternalLink`
ExternalLink.`setRowCount(Long rowCount)`
`ExternalLink`
ExternalLink.`setRowOffset(Long rowOffset)`
Methods in com.databricks.jdbc.model.core that return types with arguments of type ExternalLink
Modifier and Type
Method
Description
`Collection<ExternalLink>`
ResultData.`getExternalLinks()`
Method parameters in com.databricks.jdbc.model.core with type arguments of type ExternalLink
Modifier and Type
Method
Description
`ResultData`
ResultData.`setExternalLinks(Collection<ExternalLink> externalLinks)`